<!--     Добавляем фильм    -->
<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
      <meta charset="UTF-8">
      <title>Добавить фильм</title>
<!--      <script src="../../static/js/form_validation_for_films.js"></script>-->
</head>
<body>
<div layout:fragment="content">
  <h3 class="mt-3 mb-3">Добавить фильм</h3>
  <form enctype="multipart/form-data" class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/films/add}" th:object="${filmForm}">
       <div class="mb-3 row g-2">
           <div class="col-md">
               <div class="form-floating">
                  <!--Название поля "input name" должно строго соответствовать названию поля класса (DTO)-->
                   <input name="filmTitle" type="text" class="form-control" id="title" placeholder="Название фильма" required >
                   <label for="title">Название фильма</label>
                   <div class="invalid-feedback">Обязательное поле для заполнения</div>
               </div>
           </div>
           <div class="col-md">
               <div class="form-floating">
                   <input name="premierYear" type="date" class="form-control" id="date" placeholder="Год премьеры" required>
                   <label for="date">Год премьеры</label>
                   <div class="invalid-feedback">Обязательное поле для заполнения</div>
               </div>
           </div>
       </div>
       <div class="mb-3 row g-2">
           <div class="col-md">
               <div class="form-floating">
                   <input name="country" type="text" class="form-control" id="country" placeholder="Страна производства" required>
                   <label for="country">Страна производства</label>
                   <div class="invalid-feedback">Обязательное поле для заполнения</div>
               </div>
           </div>
           <div class="col-md">
                   <div class="form-floating">
                       <select class="form-select" name="genre" id="genre" required>
                       <option selected value="default">Выберете жанр из списка</option>
                       <option th:each="genre : ${T(com.sber.java15.spring.springprojectvideorental_3.library.model.Genre).values()}"
                               th:value="${genre}" th:text="${genre.getGenreTextDisplay()}"></option>
                       </select>
                       <label for="genre">Жанр</label>
                       <div class="invalid-feedback">Обязательное поле для заполнения</div>
                   </div>
           </div>
       </div>
      <!-- Загрузка файла-->
      <div class="mt-3 form-floating">
          <input name="file" type="file" class="form-control form-control-sm" id="onlineCopy" placeholder="Онлайн копия файла" style="padding-top: 2rem;">
          <label for="onlineCopy">Онлайн копия</label>
      </div>
      <div class="mt-3 row g-2">
           <button type="submit" class="btn btn-primary" onclick="validateForm_1()">Добавить</button>
           <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
      </div>
  </form>
</div>
</body>
</html>